Package org.linphone.mediastream.video.capture.hwconf

# Class AndroidCameraConfiguration.AndroidCamera

java.lang.Object
org.linphone.mediastream.video.capture.hwconf.AndroidCameraConfiguration.AndroidCamera

Enclosing class:
  AndroidCameraConfiguration

public static class AndroidCameraConfiguration.AndroidCamera extends Object
Default: no front; rear=0; default=rear

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AndroidCameraConfiguration.AndroidCamera.Size`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`frontFacing`
`int`
`id`
`int`
`orientation`
`List<AndroidCameraConfiguration.AndroidCamera.Size>`
`resolutions`

## Constructor Summary

Constructors
Constructor
Description
`AndroidCamera(int i, boolean f, int o, List<android.hardware.Camera.Size> origin)`
`AndroidCamera(int i, boolean f, List<AndroidCameraConfiguration.AndroidCamera.Size> r, int o)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

public int id

### frontFacing

public boolean frontFacing

### orientation

public int orientation

### resolutions

public List<AndroidCameraConfiguration.AndroidCamera.Size> resolutions

## Constructor Details

### AndroidCamera

public AndroidCamera(int i, boolean f, List<AndroidCameraConfiguration.AndroidCamera.Size> r, int o)

### AndroidCamera

public AndroidCamera(int i, boolean f, int o, List<android.hardware.Camera.Size> origin)